<script language='JavaScript'>
function kontrollabfrage(sid,row)
{
  var result=confirm('Wollen sie den Artikel wirklich stornieren?');
  if (result==true)
  {
    window.location.href='index.php?menue=protokoll&session_id='+sid+'&todo=delete&Umsatz_id='+row;
  }
}
</script>
<br>
<?
  if (basename(__FILE__) == basename($PHP_SELF))
    die("Darf nur als include benutzt werden\n");

  $post_todo=$_POST['post_todo'];
  $umsatz_id=$_POST['Umsatz_id'];
  $akt_preis=$_POST['Preis'];

/*-----Ersetzen oder Einfügen bei erneutem Aufruf-----------------------------*/
if ($post_todo=="replace")
{
  $res=send_sql("update umsatz set akt_preis=\"$akt_preis\" where umsatz_id=\"$umsatz_id\"");
  $num=mysql_affected_rows();
  echo "<div align='center'>$num Datensatz wurde geändert.</div><br>";
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="edit")
{
  $umsatz_id=$_GET['Umsatz_id'];
  echo "<input type=\"hidden\" name=\"post_todo\"  value=\"replace\">";
  $sql=("select u.Umsatz_id, u.ArtNr, u.akt_preis as Preis  from umsatz as u where umsatz_id=\"$umsatz_id\"");
  include("html/tools/tbl_edit.php");
}
/*-----Editieren bei erneutem Aufruf------------------------------------------*/
elseif ($todo=="delete")
{
  $umsatz_id=$_GET['Umsatz_id'];
  $res=send_sql("update umsatz set artNr='Storno', akt_preis='0.00', anz=1 where umsatz_id=\"$umsatz_id\"");
  $num=mysql_affected_rows();
  echo "<div align='center'>$num Datensatz wurde geändert.</div><br>";
}

/*-----Erzeugung der Artikelabelle (wenn nichts anderen vorgegeben-------------*/

  $sql=("select u.Umsatz_id, u.Datum as Zeit, u.ArtNr, a.Name, u.anz as Anzahl, u.akt_preis as Preis  from umsatz as u, artikel as a where u.kasse_id=$kasse_id and u.ArtNr=a.artNr");
  tab_but($sql,"protokoll","Umsatz_id");


?>